> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to delete a list item

> How to delete a list item using web service APIs

To delete a list item, use the `Lists` endpoint. These examples use the Category list for demonstration purposes.

<Tabs>
  <Tab title="RESTful REST API">
    ```http theme={null}
    DELETE https://{{env}}.superoffice.com/{{tenant}}/api/v1/List/Category/Items/5 HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```

    **Response:**

    HTTP Status 204
  </Tab>

  <Tab title="HTTP RPC Agent API">
    ## For build-in lists use the list name. See example below to use list Id

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/DeleteFromListName HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json; charset=utf-8

    {
        "UdListDefinitionName": "Category",
        "id": "34"
    }
    ```

    ## For user-defined lists, use the list ID and list item ID

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/DeleteFromListDefinition HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json; charset=utf-8

    {
        "UdListDefinitionId": "108",
        "Id": "65"
    }
    ```

    **Response:**

    HTTP Status 204
  </Tab>

  <Tab title="WebApi Proxy API">
    How to delete a list item using the [SuperOffice.WebApi][1] proxy client.

    ## For build-in lists use the list name. See example below to use list Id

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);

    var listAgent = new ListAgent(config);
    await listAgent.DeleteFromListNameAsync(34, "Category");
    ```

    ## For user-defined lists, use the list Id and list item Id

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);

    var listAgent = new ListAgent(config);
    await listAgent.DeleteFromListDefinitionAsync(65, 108);
    ```
  </Tab>
</Tabs>

[Back](./index)

[1]: ../../../web-services/proxies/index


## Related topics

- [How to delete a list item](/en/api/lists/services/how-to/delete-list.md)
- [Update list items](/en/admin/lists/update-items.md)
- [How to create a list item](/en/api/lists/services/how-to/create-list-item.md)
- [Delete Task List Item](/en/api/reference/restful/rest/list_task/delete-task-list-item.md)
- [How to get a specific list item](/en/api/lists/services/how-to/get-list-item.md)
- [How to get all list items](/en/api/lists/services/how-to/get-list-items.md)
